'
'BackupSettings.vbs
'Script for backing up the WebKnight settings and giving the user some information about this
'
Option Explicit

Dim HostName
Dim FilterName
Dim FilterPath
Dim FilterSettingsName
Dim BackupSettingsName

FilterName = "WebKnight"
FilterSettingsName = "WebKnight.xml"
BackupSettingsName = "Backup.xml"
HostName = "LocalHost"
FilterPath = Session.Property("WEBKNIGHTDIR")

'backup settings file
Dim fso
Set fso = CreateObject("Scripting.FileSystemObject")

On Error Resume Next
fso.DeleteFile FilterPath & "Backup.xml"
Err.Clear
fso.MoveFile FilterPath & "WebKnight.xml",FilterPath & "Backup.xml"
If Err Then
	MsgBox "There was an error backing up your settings file.",,FilterName
Else
	MsgBox "Your previous settings were backed up to the file: '" & BackupSettingsName & "'. " & vbCRLF & vbCRLF & "This installation comes with new default settings and you can find these in the file '" & FilterSettingsName & "'. If you want to continue using your previous setting delete this file and rename the file '" & BackupSettingsName & "' to '" & FilterSettingsName & "' after the installation.",,FilterName

End If
On Error Goto 0
Set fso = Nothing

