'
'uninstall.vbs
'script for removing WebKnight from an IIS server
'
Option Explicit
Dim HostName
Dim Filters
Dim Filter
Dim LoadOrder
Dim FilterName
Dim FilterPath
Dim FilterDLLName

HostName = "LocalHost"				'uncomment this for unattended setup
FilterName = "WebKnight"
FilterDLLName = "WebKnight.dll"

'ask for hostname if we don't have one
If HostName = "" Then
	HostName = InputBox("Specify the IIS host from which you want to have " & FilterName & " uninstalled","Hostname required","LocalHost")
End If
If HostName <> "" Then 'user did not cancel?
	'get list of installed filters
	Set Filters = GetObject("IIS://" & HostName & "/W3SVC/Filters")
	LoadOrder = Filters.FilterLoadOrder
	If InStr(1,LoadOrder,FilterName)<1 Then
		MsgBox "Filter is not installed on " & HostName,,FilterName
	Else
		
		'remove filter from list
		LoadOrder = Replace(LoadOrder,FilterName,"")
		LoadOrder = Replace(LoadOrder,",,",",")
		If Left(LoadOrder,1) = "," Then
			LoadOrder = Mid(LoadOrder,2)
		End If
		If Right(LoadOrder,1) = "," Then
			LoadOrder = Left(LoadOrder,Len(LoadOrder)-1)
		End If
		Filters.FilterLoadOrder = LoadOrder
		Filters.SetInfo

		'remove filter
		Filters.Delete "IIsFilter",FilterName
		
		'notify user
		MsgBox "You should restart IIS to completely remove " & FilterName & ".",,FilterName	
	End If
End If

